replicaCount: {{ k8s_cicd_validations_workers }}

secretProvider:
  enabled: false

redis:
  enabled: {{ k8s_cicd_validations_config.redis.create }}
  auth:
    password: {{ k8s_cicd_validations_config.redis.password }}

mongodb:
  enabled: {{ k8s_cicd_validations_config.mongodb.create }}
  replicaCount: {{ k8s_cicd_validations_config.mongodb.replicas }}
  persistence:
    enabled: true
  auth:
    enabled: true
    rootUser: {{ k8s_cicd_validations_config.mongodb.username }}
    rootPassword: {{ k8s_cicd_validations_config.mongodb.password }}

{% if k8s_cicd_validations_config.docker.host %}
docker:
  host: {{ k8s_cicd_validations_config.docker.host }}
{% endif %}

global:
  env: {{ k8s_cicd_validations_env_variables }}

image: {{ k8s_cicd_validations_image }}

resources: {{ k8s_cicd_validations_resources }}
nodeSelector: {{ k8s_cicd_validations_node_selector }}
tolerations: {{ k8s_cicd_validations_tolerations }}

config: {{ k8s_cicd_validations_app_config }}